CVE-2020-8037

NameCVE-2020-8037
DescriptionThe ppp decapsulator in tcpdump 4.9.3 can be convinced to allocate a large amount of memory.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2444-1
NVD severitymedium
Debian Bugs973877

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcpdump (PTS)stretch4.9.3-1~deb9u1vulnerable
stretch (security)4.9.3-1~deb9u2fixed
buster, buster (security)4.9.3-1~deb10u1vulnerable
bullseye, sid4.9.3-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tcpdumpsourcestretch4.9.3-1~deb9u2DLA-2444-1
tcpdumpsource(unstable)4.9.3-7unimportant973877

Notes

https://github.com/the-tcpdump-group/tcpdump/commit/32027e199368dad9508965aae8cd8de5b6ab5231

Search for package or bug name: Reporting problems